function FileData_Pairs(x)
{
x.t("fault","tolerance");
x.t("active","connection");
x.t("included","failover");
x.t("example","servers");
x.t("transactions","durable");
x.t("unshared","state");
x.t("failover","unshared");
x.t("failover","response");
x.t("failover","unsupported");
x.t("failover","messages");
x.t("failover","figure");
x.t("failover","process");
x.t("failover","sequence");
x.t("failover","initiated");
x.t("create","new");
x.t("persistent","messages");
x.t("shared-state","server");
x.t("current","server");
x.t("topic","subscribers");
x.t("proceeded","described");
x.t("factories","initial");
x.t("state","unshared");
x.t("state","failover");
x.t("state","connection");
x.t("state","however");
x.t("state","detect");
x.t("state","servers");
x.t("state","ems");
x.t("state","fails");
x.t("state","detects");
x.t("state","connections");
x.t("state","defined");
x.t("provided","configuring");
x.t("response","clients");
x.t("recreated","including");
x.t("serversession","serversessionpool");
x.t("connection","active");
x.t("connection","factories");
x.t("connection","recreated");
x.t("connection","clients");
x.t("connection","failed");
x.t("connection","lost");
x.t("connection","factory");
x.t("connection","described");
x.t("connection","server");
x.t("however","share");
x.t("automatically","connect");
x.t("detect","lost");
x.t("details","unshared");
x.t("new","connections");
x.t("objects","connection");
x.t("objects","client's");
x.t("access","persistent");
x.t("servers","included");
x.t("servers","share");
x.t("servers","shared");
x.t("acknowledged","prior");
x.t("list","backup");
x.t("ems","clients");
x.t("ems","client");
x.t("unsupported","features");
x.t("configuring","clients");
x.t("features","features");
x.t("features","java");
x.t("queuerequestor","topicrequestor");
x.t("fails","becomes");
x.t("detects","lost");
x.t("delivered","acknowledged");
x.t("delivered","order");
x.t("recreating","runtime");
x.t("clients","unshared");
x.t("clients","attempt");
x.t("clients","next");
x.t("clients","setup");
x.t("clients","created");
x.t("clients","connect");
x.t("(a)","attempts");
x.t("prior","failover");
x.t("illustrates","dual");
x.t("serversessionpool","queuerequestor");
x.t("attempts","connect");
x.t("attempt","connect");
x.t("pairs","list");
x.t("failed","failover");
x.t("failed","restarted");
x.t("supported","unshared");
x.t("backup","servers");
x.t("next","created");
x.t("long","connection");
x.t("messages","delivered");
x.t("messages","may");
x.t("setup","unshared");
x.t("chapter","fault");
x.t("may","lost");
x.t("combination","types");
x.t("share","state");
x.t("presents","details");
x.t("detailed","configuration");
x.t("section","presents");
x.t("client's","connection");
x.t("loss","access");
x.t("loss","shared");
x.t("types","failover");
x.t("lost","connection");
x.t("lost","delivered");
x.t("lost","clients");
x.t("lost","connections");
x.t("initial","server");
x.t("client","setup");
x.t("client","client");
x.t("message","loss");
x.t("message","producers");
x.t("message","consumers");
x.t("tibco","software");
x.t("java","classes");
x.t("sessions","destinations");
x.t("configuration","information");
x.t("factory","message");
x.t("factory","include");
x.t("factory","figure");
x.t("factory","remains");
x.t("include","shared-state");
x.t("tolerance","unshared");
x.t("figure","unshared");
x.t("figure","illustrates");
x.t("figure","dual");
x.t("restarted","clients");
x.t("process","example");
x.t("process","unshared");
x.t("process","proceeded");
x.t("process","current");
x.t("process","clients");
x.t("process","chapter");
x.t("process","combination");
x.t("process","section");
x.t("process","figure");
x.t("process","prevent");
x.t("connections","transactions");
x.t("connections","automatically");
x.t("connections","recreating");
x.t("connections","detection");
x.t("connections","using");
x.t("connections","server");
x.t("subscribers","connectionconsumer");
x.t("losing","connection");
x.t("sequence","detailed");
x.t("information","provided");
x.t("dual","state");
x.t("becomes","current");
x.t("detection","unshared");
x.t("defined","connection");
x.t("shared","state");
x.t("runtime","objects");
x.t("prevent","message");
x.t("connectionconsumer","serversession");
x.t("destinations","message");
x.t("topicrequestor","dual");
x.t("described","shared");
x.t("described","above");
x.t("above","unshared");
x.t("classes","supported");
x.t("order","across");
x.t("created","connections");
x.t("connect","failed");
x.t("connect","losing");
x.t("connect","server");
x.t("using","unshared");
x.t("initiated","ems");
x.t("(b)","defined");
x.t("producers","message");
x.t("consumers","unshared");
x.t("across","failover");
x.t("including","sessions");
x.t("server","create");
x.t("server","connection");
x.t("server","(a)");
x.t("server","pairs");
x.t("server","long");
x.t("server","share");
x.t("server","tibco");
x.t("server","connections");
x.t("server","defined");
x.t("server","runtime");
x.t("server","(b)");
x.t("remains","current");
x.t("durable","topic");
}
